com.aventstack.extentreports.reporter.impl

## Class ConsoleLogger

- java.lang.Object
- - com.aventstack.extentreports.reporter.ConfigurableReporter
  - - com.aventstack.extentreports.reporter.AbstractReporter
    - - com.aventstack.extentreports.reporter.impl.ConsoleLogger

- All Implemented Interfaces:
    AnalysisStrategyService, ExtentReporter, TestListener

      public class ConsoleLogger
      extends AbstractReporter

- - ### Field Summary

    - ### Fields inherited from class com.aventstack.extentreports.reporter.AbstractReporter

      `endTime, levels, startTime, statusList`

    - ### Fields inherited from class com.aventstack.extentreports.reporter.ConfigurableReporter

      `configContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReporterName()` Get the reporter name
    `void` | `onAuthorAssigned(Test test, Author author)` Invoked each time an author is assigned to any test/node
    `void` | `onCategoryAssigned(Test test, Category category)` Invoked each time a category is assigned to any test/node
    `void` | `onDeviceAssigned(Test test, Device device)` Invoked each time a device is assigned to any test/node
    `void` | `onLogAdded(Test test, Log log)` Invoked each time a log is added to any test/node
    `void` | `onNodeStarted(Test node)` Invoked when a node is started using `createNode()`
    `void` | `onScreenCaptureAdded(Log log, ScreenCapture screenCapture)` Invoked each time a screencapture is added to log
    `void` | `onScreenCaptureAdded(Test test, ScreenCapture screenCapture)` Invoked each time a screencapture is added to test
    `void` | `onScreencastAdded(Test test, Screencast screencast)` Invoked each time a screencast is added
    `void` | `onTestRemoved(Test test)` Invoked when a test is removed using `removeTest()`
    `void` | `onTestStarted(Test test)` Invoked when a test is started using `createTest()`
    `void` | `start()` Starts passing run information to the reporter
    `void` | `stop()` Stops the reporter.

    - ### Methods inherited from class com.aventstack.extentreports.reporter.AbstractReporter

      `flush, getAnalysisStrategy, getEndTime, getLongRunDuration, getRunDuration, getStartTime, getStatusList, setAnalysisStrategy, setEndTime`

    - ### Methods inherited from class com.aventstack.extentreports.reporter.ConfigurableReporter

      `getConfigContext, loadConfig, loadConfig, loadConfig, loadXMLConfig, loadXMLConfig, loadXMLConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsoleLogger

          public ConsoleLogger()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `ExtentReporter`
      Starts passing run information to the reporter

    - #### stop

          public void stop()

      Description copied from interface: `ExtentReporter`
      Stops the reporter. Ensures no information is passed to the reporter.

    - #### onTestStarted

          public void onTestStarted(Test test)

      Description copied from interface: `TestListener`
      Invoked when a test is started using `createTest()`
      Parameters:
        `test` - `Test` object

    - #### onTestRemoved

          public void onTestRemoved(Test test)

      Description copied from interface: `TestListener`
      Invoked when a test is removed using `removeTest()`
      Parameters:
        `test` - `Test` object

    - #### onNodeStarted

          public void onNodeStarted(Test node)

      Description copied from interface: `TestListener`
      Invoked when a node is started using `createNode()`
      Parameters:
        `node` - `Test` object

    - #### onLogAdded

          public void onLogAdded(Test test,
                                 Log log)

      Description copied from interface: `TestListener`
      Invoked each time a log is added to any test/node
      Parameters:
        `test` - `Test` object
        `log` - `Log` object

    - #### onCategoryAssigned

          public void onCategoryAssigned(Test test,
                                         Category category)

      Description copied from interface: `TestListener`
      Invoked each time a category is assigned to any test/node
      Parameters:
        `test` - `Test` object
        `category` - `Category` object

    - #### onAuthorAssigned

          public void onAuthorAssigned(Test test,
                                       Author author)

      Description copied from interface: `TestListener`
      Invoked each time an author is assigned to any test/node
      Parameters:
        `test` - `Test` object
        `author` - `Author` object

    - #### onDeviceAssigned

          public void onDeviceAssigned(Test test,
                                       Device device)

      Description copied from interface: `TestListener`
      Invoked each time a device is assigned to any test/node
      Parameters:
        `test` - `Test` object
        `device` - `Device` object

    - #### onScreenCaptureAdded

          public void onScreenCaptureAdded(Test test,
                                           ScreenCapture screenCapture)
                                    throws IOException

      Description copied from interface: `TestListener`
      Invoked each time a screencapture is added to test
      Parameters:
        `test` - `Test` object
        `screenCapture` - `ScreenCapture` object
      Throws:
        `IOException` - Exception thrown if the media object is not found

    - #### onScreenCaptureAdded

          public void onScreenCaptureAdded(Log log,
                                           ScreenCapture screenCapture)

      Description copied from interface: `TestListener`
      Invoked each time a screencapture is added to log
      Parameters:
        `log` - `Log` object
        `screenCapture` - `ScreenCapture` object

    - #### onScreencastAdded

          public void onScreencastAdded(Test test,
                                        Screencast screencast)

      Description copied from interface: `TestListener`
      Invoked each time a screencast is added
      Parameters:
        `test` - `Test` object
        `screencast` - `Screencast` object

    - #### getReporterName

          public String getReporterName()

      Description copied from interface: `ExtentReporter`
      Get the reporter name
      Returns:
        reporter name

Copyright © 2018. All rights reserved.